aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-04-29 17:42:21 +0200
committerSven Gothel <[email protected]>2010-04-29 17:42:21 +0200
commit9bdcb54bc88788c1c3bea1bb76955f81ed3db3f7 (patch)
tree70938e455264ae212fc461345f7da83e7b5e75db /make/scripts
parent14256647c8954bb8d6d2afa88927e75783bc912b (diff)
cleanup scripts ; updated win32 and win64 scripts with my environment
Diffstat (limited to 'make/scripts')
-rwxr-xr-xmake/scripts/jogl-cp-dll.sh26
-rwxr-xr-xmake/scripts/jogl-rm-builds.sh16
-rw-r--r--make/scripts/lsGL23_commons.sh18
-rw-r--r--make/scripts/lsGL23_unique.sh18
-rw-r--r--make/scripts/lsGL23toGL2ES1_commons.sh18
-rw-r--r--make/scripts/lsGLES2toGL3_commons.sh16
-rw-r--r--make/scripts/lsGLtoES1ES2_commons.sh16
-rw-r--r--make/scripts/lsGLtoES1_commons.sh17
-rw-r--r--make/scripts/lsGLtoES2_commons.sh16
-rw-r--r--make/scripts/lsGLtoGL3_commons.sh16
-rw-r--r--make/scripts/lstjars.sh155
-rwxr-xr-xmake/scripts/rsync2here.sh28
12 files changed, 360 insertions, 0 deletions
diff --git a/make/scripts/jogl-cp-dll.sh b/make/scripts/jogl-cp-dll.sh
new file mode 100755
index 000000000..a9285b9e7
--- /dev/null
+++ b/make/scripts/jogl-cp-dll.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+jogamproot=$1
+shift
+
+builddir=$1
+shift
+
+destination=$1
+shift
+
+
+if [ -z "$jogamproot" -o -z "$builddir" -o -z "$destination" ] ; then
+ echo Usage $0 jogamp_root builddir destination
+ echo e.g. $0 JOGL build-win32 /cygdrive/y/jogl/lib-jogl-win32/
+ exit
+fi
+
+cp -v \
+ $jogamproot/jogl/$builddir/jar/*natives* \
+ $jogamproot/gluegen/$builddir/obj/*.dll \
+ $jogamproot/jogl/$builddir/nativewindow/obj/*.dll \
+ $jogamproot/jogl/$builddir/jogl/obj/*.dll \
+ $jogamproot/jogl/$builddir/newt/obj/*.dll \
+ $destination
+
diff --git a/make/scripts/jogl-rm-builds.sh b/make/scripts/jogl-rm-builds.sh
new file mode 100755
index 000000000..f014a3e9c
--- /dev/null
+++ b/make/scripts/jogl-rm-builds.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+jogamproot=$1
+shift
+
+builddir=$1
+shift
+
+if [ -z "$jogamproot" -o -z "$builddir" ] ; then
+ echo Usage $0 jogamp_root builddir
+ echo e.g. $0 JOGL build-win32
+fi
+
+
+rm -rf $jogamproot/gluegen/$builddir
+rm -rf $jogamproot/jogl/$builddir
diff --git a/make/scripts/lsGL23_commons.sh b/make/scripts/lsGL23_commons.sh
new file mode 100644
index 000000000..7c7161717
--- /dev/null
+++ b/make/scripts/lsGL23_commons.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+SOURCE="$idir/GL.java $idir/GL2ES1.java $idir/GL2ES2.java $idir/GLES1.java $idir/GLES2.java $idir/GL2GL3.java $idir/GL2.java $idir/GL3.java"
+
+echo GL GL2ES1 GL2ES2 GLES1 GLES2 GL2GL3 GL2 GL3 defines
+sort $SOURCE | uniq -d | grep GL_ | grep -v "Part of <code>"
+
+echo GL GL2ES1 GL2ES2 GLES1 GLES2 GL2GL3 GL2 GL3 functions
+sort $SOURCE | uniq -d | grep "public [a-z0-9_]* gl"
diff --git a/make/scripts/lsGL23_unique.sh b/make/scripts/lsGL23_unique.sh
new file mode 100644
index 000000000..e21112ecc
--- /dev/null
+++ b/make/scripts/lsGL23_unique.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+SOURCE="$idir/GL.java $idir/GLES2.java $idir/GL2ES2.java $idir/GL3.java $idir/GL2.java $idir/GL2GL3.java"
+
+echo GL2GL3 to GL2 GL3 Gl2ES2 GLES2 GL defines
+sort $SOURCE | uniq -u | grep GL_ | grep -v "Part of <code>" | awk ' { print $5 } '
+
+echo GL2GL3 to GL2 GL3 Gl2ES2 GLES2 GL functions
+sort $SOURCE | uniq -u | grep "public [a-z0-9_]* gl"
diff --git a/make/scripts/lsGL23toGL2ES1_commons.sh b/make/scripts/lsGL23toGL2ES1_commons.sh
new file mode 100644
index 000000000..83a543b3c
--- /dev/null
+++ b/make/scripts/lsGL23toGL2ES1_commons.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+echo GL2GL3 to GL2ES1 enums
+# sort $idir/GL2.java $idir/GL3.java $idir/GL2ES1.java $idir/GL2GL3.java | uniq -d | grep GL_ | awk ' { print $5 } '
+sort $idir/GL2.java $idir/GL3.java $idir/GL2ES1.java $idir/GL2GL3.java | uniq -d | grep GL_ | grep -v "Part of <code>"
+
+echo GL2GL3 to GL2ES1 functions
+# sort $idir/GL2.java $idir/GL3.java $idir/GL2ES1.java $idir/GL2GL3.java | uniq -d | grep "public [a-z0-9_]* gl"
+sort $idir/GL2.java $idir/GL3.java $idir/GL2ES1.java $idir/GL2GL3.java | uniq -d | grep "public [a-z0-9_]* gl"
diff --git a/make/scripts/lsGLES2toGL3_commons.sh b/make/scripts/lsGLES2toGL3_commons.sh
new file mode 100644
index 000000000..d271b7ea2
--- /dev/null
+++ b/make/scripts/lsGLES2toGL3_commons.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+echo GLES2 to GL3 enums
+sort $idir/GLES2.java $idir/GL3.java $idir/GL2ES2.java | uniq -d | grep GL_ | awk ' { print $5 } '
+
+echo GLES2 to GL3 functions
+sort $idir/GLES2.java $idir/GL3.java $idir/GL2ES2.java | uniq -d | grep "public [a-z0-9_]* gl"
diff --git a/make/scripts/lsGLtoES1ES2_commons.sh b/make/scripts/lsGLtoES1ES2_commons.sh
new file mode 100644
index 000000000..21efb6549
--- /dev/null
+++ b/make/scripts/lsGLtoES1ES2_commons.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+echo GL to GL2ES1 to GL2ES1 GL2 enums
+sort $idir/GL.java $idir/GL2ES1.java $idir/GL2ES2.java $idir/GL2.java | uniq -d | grep GL_ | awk ' { print $5 } '
+
+echo GL to GL2ES1 to GL2ES1 GL2 functions
+sort $idir/GL.java $idir/GL2ES1.java $idir/GL2ES2.java $idir/GL2.java | uniq -d | grep "public [a-z0-9_]* gl"
diff --git a/make/scripts/lsGLtoES1_commons.sh b/make/scripts/lsGLtoES1_commons.sh
new file mode 100644
index 000000000..e8a370acb
--- /dev/null
+++ b/make/scripts/lsGLtoES1_commons.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+echo GL to GL2ES1 to GLES1 enums
+sort $idir/GL.java $idir/GLES1.java $idir/GL2ES1.java | uniq -d | grep GL_ | awk ' { print $5 } '
+
+echo GL to GL2ES1 to GLES1 functions
+sort $idir/GL.java $idir/GLES1.java $idir/GL2ES1.java | uniq -d | grep "public [a-z0-9_]* gl"
+
diff --git a/make/scripts/lsGLtoES2_commons.sh b/make/scripts/lsGLtoES2_commons.sh
new file mode 100644
index 000000000..bbd0e239c
--- /dev/null
+++ b/make/scripts/lsGLtoES2_commons.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+echo GL to GL2ES2 to GLES2 enums
+sort $idir/GL.java $idir/GLES2.java $idir/GL2ES2.java | uniq -d | grep GL_ | awk ' { print $5 } '
+
+echo GL to GL2ES2 to GLES2 functions
+sort $idir/GL.java $idir/GLES2.java $idir/GL2ES2.java | uniq -d | grep "public [a-z0-9_]* gl"
diff --git a/make/scripts/lsGLtoGL3_commons.sh b/make/scripts/lsGLtoGL3_commons.sh
new file mode 100644
index 000000000..44cc34ccd
--- /dev/null
+++ b/make/scripts/lsGLtoGL3_commons.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+BUILDDIR=$1
+shift
+if [ -z "$BUILDDIR" ] ; then
+ echo "usage $0 <BUILDDIR>"
+ exit 1
+fi
+
+idir=$BUILDDIR/jogl/gensrc/classes/javax/media/opengl
+
+echo GL to GL2ES2 to GL3 enums
+sort $idir/GL.java $idir/GL3.java $idir/GL2ES2.java | uniq -d | grep GL_ | awk ' { print $5 } '
+
+echo GL to GL2ES2 to GL3 functions
+sort $idir/GL.java $idir/GL3.java $idir/GL2ES2.java | uniq -d | grep "public [a-z0-9_]* gl"
diff --git a/make/scripts/lstjars.sh b/make/scripts/lstjars.sh
new file mode 100644
index 000000000..3837be5e3
--- /dev/null
+++ b/make/scripts/lstjars.sh
@@ -0,0 +1,155 @@
+#! /bin/sh
+
+THISDIR=$(pwd)
+
+BUILDDIR=$1
+shift
+BUILDDIR_GLUEGEN=$1
+shift
+if [ -z "$BUILDDIR" -o -z "$BUILDDIR_GLUEGEN" ] ; then
+ echo "usage $0 <BUILDDIR-JOGL> <BUILDDIR-GLUEGEN> [-skippack200]"
+ exit 1
+fi
+
+STATDIR=$BUILDDIR-stats
+
+skippack200=0
+if [ "$1" = "-skippack200" ] ; then
+ skippack200=1
+fi
+
+function report() {
+ #ls -1 -s --block-size=1024 $*
+ #ls -1 -s --block-size=1024 $* | awk ' BEGIN { sum=0 ; } { sum=sum+$1; } END { printf("%d Total\n", sum); }'
+ du -ksc $*
+}
+
+OSS=x11
+ARCH=linux-amd64
+
+function listdeployment() {
+ JAR_SUFFIX=$1
+ shift
+
+ echo JOGL Deployment Payload for $JAR_SUFFIX
+ echo
+
+ echo JOGL ES1 NEWT CORE
+ report gluegen-rt.$JAR_SUFFIX nativewindow.all-noawt.$JAR_SUFFIX jogl.core.$JAR_SUFFIX jogl.util.$JAR_SUFFIX jogl.egl.$JAR_SUFFIX jogl.gles1.$JAR_SUFFIX newt.all-noawt.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_es1.so.gz libnewt.so.gz
+ echo
+
+ echo JOGL ES2 NEWT CORE
+ report gluegen-rt.$JAR_SUFFIX nativewindow.all-noawt.$JAR_SUFFIX jogl.core.$JAR_SUFFIX jogl.util.$JAR_SUFFIX jogl.egl.$JAR_SUFFIX jogl.gles2.$JAR_SUFFIX newt.all-noawt.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_es2.so.gz libnewt.so.gz
+ echo
+
+ echo JOGL ES2 NEWT CORE FIXED
+ report gluegen-rt.$JAR_SUFFIX nativewindow.all-noawt.$JAR_SUFFIX jogl.core.$JAR_SUFFIX jogl.util.$JAR_SUFFIX jogl.egl.$JAR_SUFFIX jogl.gles2.$JAR_SUFFIX jogl.util.fixedfuncemu.$JAR_SUFFIX newt.all-noawt.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_es2.so.gz libnewt.so.gz
+ echo
+
+ echo JOGL GL2ES12 NEWT
+ report gluegen-rt.$JAR_SUFFIX nativewindow.all-noawt.$JAR_SUFFIX jogl.core.$JAR_SUFFIX jogl.util.$JAR_SUFFIX jogl.os.$OSS.$JAR_SUFFIX jogl.gl2es12.$JAR_SUFFIX newt.all-noawt.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_gl2es12.so.gz libnewt.so.gz libnativewindow_$OSS.so.gz
+ echo
+
+ echo JOGL GL2 NEWT
+ report gluegen-rt.$JAR_SUFFIX nativewindow.all-noawt.$JAR_SUFFIX jogl.core.$JAR_SUFFIX jogl.util.$JAR_SUFFIX jogl.os.$OSS.$JAR_SUFFIX jogl.gldesktop.$JAR_SUFFIX newt.all-noawt.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_desktop.so.gz libnewt.so.gz libnativewindow_$OSS.so.gz
+ echo
+
+ echo JOGL GL2 AWT
+ report gluegen-rt.$JAR_SUFFIX nativewindow.all.$JAR_SUFFIX jogl.core.$JAR_SUFFIX jogl.util.$JAR_SUFFIX jogl.os.$OSS.$JAR_SUFFIX jogl.gldesktop.$JAR_SUFFIX jogl.awt.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_desktop.so.gz libnativewindow_$OSS.so.gz libnativewindow_awt.so.gz
+ echo
+
+ echo JOGL ALL AWT
+ report gluegen-rt.$JAR_SUFFIX nativewindow.all.$JAR_SUFFIX jogl.all.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_desktop.so.gz libnativewindow_$OSS.so.gz libnativewindow_awt.so.gz
+ echo
+
+ echo JOGL ALL No AWT
+ report gluegen-rt.$JAR_SUFFIX nativewindow.all-noawt.$JAR_SUFFIX jogl.all-noawt.$JAR_SUFFIX newt.all-noawt.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_desktop.so.gz libnativewindow_$OSS.so.gz libnewt.so.gz
+ echo
+
+ echo JOGL CDCFP DESKTOP
+ report gluegen-rt-cdc.$JAR_SUFFIX nativewindow.all.$JAR_SUFFIX jogl.all.cdc.$JAR_SUFFIX newt.all.cdc.$JAR_SUFFIX libgluegen-rt.so.gz libnativewindow_$OSS.so.gz libnewt.so.gz
+ echo
+
+ echo JOGL CDCFP ES1 MOBILE
+ report gluegen-rt-cdc.$JAR_SUFFIX jogl.core.cdc.$JAR_SUFFIX jogl.egl.cdc.$JAR_SUFFIX jogl.gles1.cdc.$JAR_SUFFIX jogl.util.cdc.$JAR_SUFFIX nativewindow.all.cdc.$JAR_SUFFIX newt.all.cdc.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_es1.so.gz libnewt.so.gz
+ echo
+
+ echo JOGL CDCFP ES2 MOBILE
+ report gluegen-rt-cdc.$JAR_SUFFIX jogl.core.cdc.$JAR_SUFFIX jogl.egl.cdc.$JAR_SUFFIX jogl.gles2.cdc.$JAR_SUFFIX jogl.util.cdc.$JAR_SUFFIX nativewindow.all.cdc.$JAR_SUFFIX newt.all.cdc.$JAR_SUFFIX libgluegen-rt.so.gz libjogl_es2.so.gz libnewt.so.gz
+ echo
+
+ echo JOGL GLU
+ report jogl.glu.*$JAR_SUFFIX
+ echo
+
+ echo JOGL EVERYTHING
+ report *.all.$JAR_SUFFIX libgluegen-rt.so.gz libnativewindow_$OSS.so.gz libnativewindow_awt.so.gz libjogl_desktop.so.gz libjogl_es1.so.gz libjogl_es2.so.gz libnewt.so.gz
+ echo
+}
+
+rm -rf $STATDIR
+mkdir -p $STATDIR
+cp -a $BUILDDIR/nativewindow/obj/*.so $STATDIR
+cp -a $BUILDDIR/jogl/obj/*.so $STATDIR
+cp -a $BUILDDIR/newt/obj/*.so $STATDIR
+cp -a $BUILDDIR/nativewindow/*.jar $STATDIR
+cp -a $BUILDDIR/jogl/*.jar $STATDIR
+cp -a $BUILDDIR/newt/*.jar $STATDIR
+cp -a $BUILDDIR_GLUEGEN/gluegen-rt.jar $STATDIR
+cp -a $BUILDDIR_GLUEGEN/gluegen-rt-cdc.jar $STATDIR
+cp -a $BUILDDIR_GLUEGEN/gluegen-rt-natives-linux-i586.jar $STATDIR
+cp -a $BUILDDIR_GLUEGEN/gluegen-rt-natives-linux-i586-cdc.jar $STATDIR
+cp -a $BUILDDIR_GLUEGEN/obj/libgluegen-rt.so $STATDIR
+
+cd $STATDIR
+
+for i in *.so ; do
+ gzip $i
+done
+
+echo Native Libraries
+report *.gz
+echo
+
+rm -f *.lst
+
+for i in *.jar ; do
+ fname=$i
+ bname=$(basename $fname .jar)
+ echo list $fname to $bname.lst
+ jar tf $fname | grep class | sort > $bname.lst
+done
+
+rm -rf nope
+mkdir -p nope
+
+mv *.cdc.lst *.all*.lst nope/
+
+mv jogl.gl2es12.*.lst jogl.gldesktop.*.lst nope/
+echo duplicates - w/o gl2es12.* gldesktop.*
+echo
+sort jogl*.lst | uniq -d
+mv nope/* .
+
+mv *.cdc.lst *.all*.lst nope/
+cat *.lst | sort -u > allparts.lst
+mv nope/* .
+cat *.all.lst gluegen-rt.lst | sort -u > allall.lst
+cat jogl.all.cdc.lst newt.all.cdc.lst nativewindow.core.lst | sort -u > allcdc.lst
+
+echo all vs allparts delta
+echo
+diff -Nur allparts.lst allall.lst
+
+listdeployment jar
+
+if [ $skippack200 -eq 0 ] ; then
+ for i in *.jar ; do
+ fname=$i
+ bname=$(basename $fname .jar)
+ echo pack200 $bname.pack.gz $fname
+ pack200 $bname.pack.gz $fname
+ done
+ listdeployment pack.gz
+fi
+
diff --git a/make/scripts/rsync2here.sh b/make/scripts/rsync2here.sh
new file mode 100755
index 000000000..958fccf7f
--- /dev/null
+++ b/make/scripts/rsync2here.sh
@@ -0,0 +1,28 @@
+#! /bin/sh
+
+# USESSH="-e ssh"
+
+#DEST=/usr/local/projects/JOGL
+DEST=/cygdrive/c/JOGL
+
+function my_rsync()
+{
+ # rsync $USESSH -av --perms --delete-after --exclude 'build*/' $SOURCE/JOGL/$1 $2
+ rsync $USESSH -av --perms --delete-after --exclude 'build*/' $SOURCE/JOGL/$1 $2
+}
+
+function do_rsync()
+{
+ my_rsync gluegen $DEST/
+ my_rsync jogl $DEST/
+ my_rsync jogl-demos $DEST/
+ my_rsync lib $DEST/
+ my_rsync lib-windows-x86 $DEST/
+ my_rsync lib-linux-x86 $DEST/
+ my_rsync lib-linux-x86_64 $DEST/
+ my_rsync setenv* $DEST/
+}
+
+do_rsync 2>&1 | tee -a rsync.log
+